package com.huimv.farm.damsubsidy.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_user")
public class SysUser extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String userName;

    private String phone;

    /**
     * 0畜牧中心，1兽医，2企业，3养殖户，4专干
     */
    private Integer userType;

    /**
     * 身份证id
     */
    private String idCard;

    /**
     * 身份证正面图片url
     */
    private String idCardFrontUrl;

    /**
     * 身份证背面图片url
     */
    private String idCardBackUrl;

    /**
     * 是否实名
     */
    private Integer isRealName;

    /**
     * 地址
     */
    private String address;

    /**
     * 详细地址
     */
    private String detailedAdress;

    /**
     * 地址行政码
     */
    private String detailedAdressCode;


    /**
     * 最后登录ip
     */
    private String lastIp;

    /**
     * 农户类别
     */
    private Integer farmType;

    /*养殖场名称*/
    private String farmName;

    /*经营许可证*/
    private String permit;

    /*审核进度*/
    private Integer accoutType;

    /*审核进度*/
    private String accountNum;
    private String password;
    private Integer pid;
    private String pids;
    private String veterIds;
    private Integer lastVeter;
    private Integer veterId;

}
